GRECTL(8)

NAME
greconfig - set characteristics of the gre(4) pseudo device.

SYNOPSIS
greconfig -i unit [-v]
-i unit [-d dst] [-s src] [-p proto] [-v]

DESCRIPTION
greconfig is used to manipulate or display the characteristics of the gre(4) tunnel device. The first form shown above displays the current parameters, while the second one sets parameters to new values.

The options have the following meanings:

-i unit
    Denotes the interface that is to be set/displayed. Unit is in the form ``greN'' where N is an integer from zero to the maximum numbers of units. This option is always required.

-d dst
    Sets the IP address of the remote tunnel end. This may be the same as the tunnel destination set with ifconfig when IP packets are to be encapsulated.

-s src
    Sets the IP address of the local tunnel end. This may be the same as the tunnel gateway set with ifconfig when IP packets are to be encapsulated.

-p proto
    Sets the way how packets are encapsulated. Currently supported values are:

    47 GRE encapsulation as described in RFC 1701,1702

    55 MOBILE encapsulation as described in RFC 2004

-v  Give a little more verbose output when running greconfig.

Note that the values for src, dst, proto must be coordinated with the remote end of the tunnel.

For tunnels that run IP as encapsulated protocol, the tunnel endpoints can be set with the normal ifconfig. In this case, the encapsulation protocol can be chosen by giving ``link0'' for IPIP encapsulation and ``-link0'' GRE encapsulation as arguments to ifconfig.

SEE ALSO
ifconfig(8), gre(4), protocols(5), netintro(4)

A description of GRE encapsulation can be found in RFC 1701, RFC 1702.

A description of MOBILE encapsulation can be found in RFC 2004.

AUTHOR
Heiko W.Rupp <hwr@pilhuhn.de>